Skip to Content
veriom

List gate reviews

GET
/v1/workspaces/{workspace_id}/architecture-intent/gates/policies/{policy_id}/reviews

Authorization

workspaceToken
headerAuthorizationBearer <vat_<opaque-token>>

Expiring, hashed workspace token with explicit scopes.

Path Parameters

workspace_id*Workspace Id
Formatuuid
policy_id*Policy Id
Formatuuid

Query Parameters

cursor?string|null
limit?Limit
Range1 <= value <= 100
Default25

Response Body

Successful Response

application/json
  1. response
has_more?Has More
Defaultfalse
items*array<>
next_cursor?string|null
Example Request
curl -X GET 'https://api.veriom.ai/v1/workspaces/497f6eca-6276-4993-bfeb-53cbbbba6f08/architecture-intent/gates/policies/497f6eca-6276-4993-bfeb-53cbbbba6f08/reviews'
Example Response
{  "has_more": false,  "items": [    {      "actor_name": "string",      "actual_outcome": "holds",      "created_at": "2019-08-24T14:15:22Z",      "evaluation_id": "4108ec8e-6efd-4b9b-bace-0bb4c296c324",      "expected_outcome": "holds",      "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",      "rationale": "string"    }  ],  "next_cursor": "string"}